Bug 1206420 - docker missing from 22 Beta TC5 x86_64 trees
Summary: docker missing from 22 Beta TC5 x86_64 trees
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F22BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-03-27 03:42 UTC by Adam Williamson
Modified: 2015-04-01 23:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-01 23:20:00 UTC


Attachments (Terms of Use)

Description Adam Williamson 2015-03-27 03:42:13 UTC
As per the compose report:

https://fedorahosted.org/rel-eng/ticket/6132#comment:9

the 'docker' package is missing from the x86_64 Server and Cloud install trees, and hence from the Server DVD.

This appears to trigger an anaconda crash on the Server DVD:

http://bugzilla.redhat.com/show_bug.cgi?id=1198953

but even if anaconda didn't crash, the Server package set would not be installable, hence I'm nominating this as a blocker rather than that. Criterion: https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Package_sets - "When installing with a release-blocking dedicated installer image, the installer must be able to install the default package set."

Comment 1 M. Edward (Ed) Borasky 2015-03-27 05:28:04 UTC
Also, there have been no Docker image tarballs since http://dl.fedoraproject.org/pub/alt/stage/22_Beta_TC2/Docker/x86_64/ as far as I can tell.

Comment 2 Adam Williamson 2015-03-28 05:51:55 UTC
https://admin.fedoraproject.org/updates/docker-1.5.0-25.git5ebfacd.fc22 is the fix for this, apparently.

Comment 3 Adam Williamson 2015-03-30 16:17:13 UTC
Discussed at 2015-03-30 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-30/f22-blocker-review.2015-03-30-16.04.log.txt . Accepted as a blocker per criterion cited in #c0.

Comment 4 Adam Williamson 2015-04-01 23:20:00 UTC
The update has been pushed stable, and TC6 had no repoclosure problems. Closing.


Note You need to log in before you can comment on or make changes to this bug.